Package org.apache.cxf.staxutils

# Class StaxStreamFilter

java.lang.Object
org.apache.cxf.staxutils.StaxStreamFilter

All Implemented Interfaces:
  `StreamFilter`

public class StaxStreamFilter extends Object implements StreamFilter

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaxStreamFilter(QName... eventsToReject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept(XMLStreamReader reader)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StaxStreamFilter

    public StaxStreamFilter(QName... eventsToReject)

- ## Method Details

  - ### accept

    public boolean accept(XMLStreamReader reader)
    Specified by:
      `accept` in interface `StreamFilter`